# circuits.core.values module

This defines the Value object used by components and events.

class circuits.core.values.Value(event=None, manager=None)

  Bases: `object`

  Create a new future Value Object

  Creates a new future Value Object which is used by Event Objects and the Manager to store the result(s) of an Event Handler’s exeuction of some Event in the system.

  Parameters:

    - event (Event instance) – The Event this Value is associated with.

    - manager (A Manager/Component instance.) – The Manager/Component used to trigger notifications.

  Variables:

    - result – True if this value has been changed.

    - errors – True if while setting this value an exception occurred.

    - notify – True or an event name to notify of changes to this value

  This is a Future/Promise implementation.

  inform(force=False)
  getValue(recursive=True)
  setValue(value)
  property value

    Value of this Value